Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.rest.command
Interface RestChainHandler

All Known Implementing Classes:
  GenericRestChainHandler

    public interface RestChainHandler

Interfaces for implementations of `RestChainHandlers`, which are used to modify or augment the `RestResults` generated by a `RestCommand`. `RestChainHandlers` are associated with specific `RestCommands` by configuring them via wlp-restapi-config.xml.

Method Summary
`RestResult` | `doDelete(RestContext restContext, RestResult restResult)` Processes the result of a DELETE method `RestCommand`
`RestResult` | `doGet(RestContext restContext, RestResult restResult)` Processes the result of a GET method `RestCommand`
`RestResult` | `doHead(RestContext restContext, RestResult restResult)` Processes the result of a HEAD method `RestCommand`
`RestResult` | `doOptions(RestContext restContext, RestResult restResult)` Processes the result of a OPTIONS method `RestCommand`
`RestResult` | `doPost(RestContext restContext, RestResult restResult)` Processes the result of a POST method `RestCommand`
`RestResult` | `doPut(RestContext restContext, RestResult restResult)` Processes the result of a PUT method `RestCommand`
`RestResult` | `process(RestContext restContext, RestResult restResult)` Processes the result of a unknown method `RestCommand`

Method Detail

### doGet

    RestResult doGet(RestContext restContext,
                     RestResult restResult)

  Processes the result of a GET method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### doHead

    RestResult doHead(RestContext restContext,
                      RestResult restResult)

  Processes the result of a HEAD method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### doPost

    RestResult doPost(RestContext restContext,
                      RestResult restResult)

  Processes the result of a POST method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### doPut

    RestResult doPut(RestContext restContext,
                     RestResult restResult)

  Processes the result of a PUT method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### doDelete

    RestResult doDelete(RestContext restContext,
                        RestResult restResult)

  Processes the result of a DELETE method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### doOptions

    RestResult doOptions(RestContext restContext,
                         RestResult restResult)

  Processes the result of a OPTIONS method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

### process

    RestResult process(RestContext restContext,
                       RestResult restResult)

  Processes the result of a unknown method `RestCommand`

  Parameters
    `restContext` - the `RestContext` used for the command dispatch
    `restResult` - the `RestResult` returned from the command dispatch
  Returns
    the modified `RestResult` as constructed by this chain handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.